Subject: Bug#474: Windows: Port X2Go Client: MinGW 4.4 + QT 4.8.5 -> MinGW 4.8 + QT 4.8.6

From: Michael DePaulo <[email-masked]>
Date: Fri, 11 Apr 2014 08:26:06 -0400

Package: x2goclient
Version: 4.0.2.0
Severity: wishlist

Currently, X2Go Client win32 is built with the latest official release
of QT4, 4.8.5.

However, X2Go Client win32 is also built with MinGW 4.4 because QT
4.8.5 only officially supports MinGW 4.4. (Reportedly QT 4.8.5 also
works with MinGW 4.6.) The problem with this is that MinGW 4.4 is no
longer supported.

Fortunately, QT 4.8.6 is about to be released with support for MinGW 4.8.
http://lists.qt-project.org/pipermail/development/2014-March/016265.html
https://bugreports.qt-project.org/browse/QTBUG/fixforversion/13008

I intend to migrate X2Go Client's win32 build environment (and update
any necessary source code) so that it will be built with QT 4.8.6 +
MinGW 4.8.x.